# Use the acc-py CI templates documented at
# https://acc-py.web.cern.ch/gitlab-mono/acc-co/devops/python/acc-py-gitlab-ci-templates/docs/templates/master/
include:
 - project: acc-co/devops/python/acc-py-gitlab-ci-templates
   file: v2/python.gitlab-ci.yml

variables:
  project_name: cern_general_devices

  # The PY_VERSION and ACC_PY_BASE_IMAGE_TAG variables control the default Python and Acc-Py versions used by Acc-Py jobs.
  # It is recommended to keep the two values consistent.
  # More details https://acc-py.web.cern.ch/gitlab-mono/acc-co/devops/python/acc-py-gitlab-ci-templates/docs/templates/master/generated/v2.html#global-variables.
  PY_VERSION: '3.11'
  ACC_PY_BASE_IMAGE_TAG: '2023.06'


build_sdist:
  extends: .acc_py_build_sdist


build_wheel:
  extends: .acc_py_build_wheel


test_dev:
  extends: .acc_py_dev_test
  stage: test
  before_script:
    - yum update -y
    - yum install -y cmake gcc gcc-c++
    - python -m pip install pip==23.3.2
    - !reference [.acc_py_dev_test, before_script]


test_wheel:
  extends: .acc_py_wheel_test
  stage: test
  before_script:
    - yum update -y
    - yum install -y cmake gcc gcc-c++
    - !reference [.acc_py_wheel_test, before_script]


# Release the source distribution and the wheel to the acc-py package index, only on git tag.
publish:
  extends: .acc_py_publish
